Subject: Implementation Forum (was: re: V4 complexity)

From: Stevan Steve Allen <[email-masked]>
Date: Thu, 19 Dec 2002 14:30:42 -0800

>David Robinson wrote:
>>Spencer Shepler wrote:
>> On Thu, Stevan Steve Allen wrote:
>>>Dave Noveck wrote:
>>>>This might be something for that never-quite-started implementation
RFC.
>>>
>>>Could we start an implementation forum for collecting this info?
>>>Peferably on this server.
>>
>>
>> What form do we want this to be in?  A traditional FAQ?  Something else?
>
>We should use an Internet-Draft (individual?) as the format. I see the
fact that
>they time out as a feature, if no one cares enough to maintain it
>it should just go away. Eventually it becomes an Informational RFC
>after the change rate diminishes.
>
>The only difference between an ID and an FAQ, is document
>structure.  So just do the right thing from the start.

Being a little new and not familiar with the various structures..
difficulties or limitations, I was thinking of collecting the info (see if
there is interest & the type of topics which are useful) in a simple open
discussion forum and then figure out what we have to organize, life
expectancy...  I see some info needing to stay around as various platforms
may start their v4 development in different quarters or years.

For usable information,

o I am interested in collecting conditions each server platform may
overload each returned error, and how each client platform treats the
returned error.

o Discuss and collect a set of guidelines for each procedure including
multiple version interaction.  An crude example guideline "may" state in
the case of a client restart with both NLM & V4 sessions to the same host
the client will send both an sm notify and set client id to the remote
host.  The server upon receiving one, or the other, should not assume both.
This describes the case where the client lockd restarted (sm_notify) but
client v4 sessions are unaffected (prior v4 client id is still in use).

Would a open discussion forum, like this one I'm posting to, accompany the
ID or FAQ?

---

From: "Noveck, Dave" <[email-masked]>
Date: Fri, 20 Dec 2002 07:40:55 -0800

This has come up half-a-dozen times and each time there
is some discussion of format and types of documents and
then the matter drops until next time.

The issue isn't the format of the document (although, true
to tradition, I have some ideas there), but getting somebody
*to do the work*.  We need a victim, uh, I mean a
volunteer, who is willing to do the work.

It occurs to me that this job requires someone whose time is
going to be in exteremely short supply.  If you can understand
v4 implementation issues well enough to write this, the people
paying you are going to want you to do some v4 implementation.
Those vicious capitalists!

So I think we should be looking for ways to get some value
from the limited time that will be available to work on this.

Here's my suggestion.  There's a flow of implementation questions
on this forum anyway.  There are going to be more and the person
creating this can ask his own to fill in the gaps.  So as I first
step to make the result more accessible, why don't we prefix the
subject in such cases with IMPL:.  The result will be something 
much easier to peruse on the v4 web site.  You go to the by-subject
listing of e-mails and you may be able to find the issue you want
to know about.  We all have to respond to the queries and somebody
has to be a bit of a nag but I think we can get the raw information
out there if we simply do what we have been doing.

The next step is to process this into something beyond what you
can do by searching the archives.  I think however, that trying to
put this into some IETF-approved single-font single-weight ascii
text format (I suppose I should be grateful it isn't cuneiform
tablets) is a big job and not all that useful.  Transforming what
I write about how I (for eaxmple) deal with an issue into the 
appropriate authorial voice (filtering out my dumb jokes, correcting
my spelling errors etc.) is a lot of not-very-helpful work (maybe
some people like my jokes.  Nah!).  So what I'm thinking is that 
we need someone to organize a web page that organizes the various
issues, writes a little summary text and then has links to the 
e-mails where people explain their own position in their own words.
Maybe we can get somebody to sign up for that more limited task.

-----Original Message-----
From: Stevan Steve Allen [mailto:[email-masked]]
Sent: Thursday, December 19, 2002 5:31 PM
To: [email-masked]
Subject: Implementation Forum (was: re: V4 complexity)

RFC.
fact that

For usable information,